Create a Custom Event
1 min
POST
https://api.optimizely.com/v2/projects/{project_id}/custom_events
Path Parameters
- project_idinteger<int64>requiredDescriptionFormatint64
Body Parameters
- bodyCustomEventrequiredDescription
- archivedbooleanDescription
- categoryEventCategories
- namestring
- descriptionstringDescription
- event_propertiesEventProperty[]Description
- data_typestring<boolean | number | string>DescriptionAllowedbooleannumberstring
- namestringDescription
- event_typestring<custom>DescriptionAllowedcustom
- keystringrequiredExampleDescriptionMax Length64Pattern^[a-zA-Z0-9_\- .]+$
- namestringExampleDescription
Responses
201
- CustomEvent
- archivedbooleanDescription
- categoryEventCategories
- namestring
- createdstring<date-time>DescriptionFormatdate-time
- descriptionstringDescription
- event_propertiesEventProperty[]Description
- data_typestring<boolean | number | string>DescriptionAllowedbooleannumberstring
- namestringDescription
- event_typestring<custom>DescriptionAllowedcustom
- idinteger<int64>DescriptionFormatint64
- is_classicbooleanDescriptionDefaultfalse
- is_editablebooleanDescription
- keystringrequiredExampleDescriptionMax Length64Pattern^[a-zA-Z0-9_\- .]+$
- namestringExampleDescription
- project_idinteger<int64>ExampleDescriptionFormatint64
400
- Error
- codestring
- messagestring
- messagesobject
- uuidstring<uuid>Formatuuid
401
- Error
- codestring
- messagestring
- messagesobject
- uuidstring<uuid>Formatuuid
403
- Error
- codestring
- messagestring
- messagesobject
- uuidstring<uuid>Formatuuid
default
- Error
- codestring
- messagestring
- messagesobject
- uuidstring<uuid>Formatuuid
curl
curl --request POST \
--url https://api.optimizely.com/v2/projects/{project_id}/custom_events \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"key": "loaded_new_app"
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"key": "loaded_new_app"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.optimizely.com/v2/projects/{project_id}/custom_events", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.optimizely.com/v2/projects/{project_id}/custom_events")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"key": "loaded_new_app"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.optimizely.com/v2/projects/{project_id}/custom_events"
payload = json.dumps({
"key": "loaded_new_app"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// Return the created Custom Event
{
"archived": false,
"category": "",
"created": "",
"description": "",
"event_properties": [
{
"data_type": "",
"name": ""
}
],
"event_type": "",
"id": "",
"is_classic": false,
"is_editable": false,
"key": "loaded_new_app",
"name": "Loaded New App",
"project_id": 1000
}400
// Invalid request body supplied
{
"code": "",
"message": "",
"messages": {},
"uuid": ""
}401
// Invalid credentials
{
"code": "",
"message": "",
"messages": {},
"uuid": ""
}403
// You do not have access to the specified Project
{
"code": "",
"message": "",
"messages": {},
"uuid": ""
}default
// Unexpected error
{
"code": "",
"message": "",
"messages": {},
"uuid": ""
}